Subject: [bug#60564] [PATCH] scripts: refresh: Add -T option.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 03 Mar 2023 22:30:01 -0500

Hi jgart,

jgart <[email-masked]> writes:

> * doc/guix.texi (Invoking guix refresh): Document the -T option.
> * guix/scripts/refresh.scm (%options): Add the -T flag.
> ---
>
> Hi Josselin and Maxim
>
>> I wonder if this option is common enough to need a dedicated short
>> switch?
>
> I would probably use the option more if it had a short option ;()
>
> I think that it is useful. What would be the negative of adding the short option for it?

Nothing immediately, but we'd have to honor T forever as it'd be part of
the public CLI, loosing that letter for something more useful that may
yet to appear.

Probably an overblown concern, to be honest, eh.

I'll see what Josselin says about it, otherwise I'll push it soon.

-- 
Thanks,
Maxim